Using mbeddr plugins

Maybe I'm wrong, but as far as I understand are several plugins, that are running with mbeddr not available for MPS newer versions?
I would need mps-richtext for instance to create contract like forms.
I tried to install MPS 3.16 and did install some of the mbeddr plugins from com.mbeddr.allInOne.zip but I get some errors:


15:44:44 RuntimeException: Error loading models from root `(default) C:\Program Files (x86)\JetBrains\MPS 3.1\plugins\de.slisson.mps.all\languages\de.slisson.mps.all\de.slisson.mps.all.build-src.jar!/module'. Requested by: de.slisson.mps.all.build [solution]: jetbrains.mps.smodel.persistence.def.ModelReadException: Couldn't read model: bad stream, unknown version: 400
15:44:44 RuntimeException: Error loading models from root `(default) C:\Program Files (x86)\JetBrains\MPS 3.1\plugins\de.itemis.mps.editor.diagram\languages\de.itemis.mps.editor.diagram\de.slisson.mps.structurecheck.runtime-src.jar!/module'. Requested by: de.slisson.mps.structurecheck.runtime [solution]: jetbrains.mps.smodel.persistence.def.ModelReadException: Couldn't read model: bad stream, unknown version: 400
15:44:44 RuntimeException: Error loading models from root `(default) C:\Program Files (x86)\JetBrains\MPS 3.1\plugins\mps-tables\languages\mps-tables\de.slisson.mps.tables-src.jar!/module'. Requested by: de.slisson.mps.tables [lang]: jetbrains.mps.smodel.persistence.def.ModelReadException: Couldn't read model: bad stream, unknown version: 400
15:44:45 RuntimeException: Error loading models from root `(default) C:\Program Files (x86)\JetBrains\MPS 3.1\plugins\de.itemis.mps.tooltips\languages\de.itemis.mps.tooltips\de.itemis.mps.tooltips-src.jar!/module'. Requested by: de.itemis.mps.tooltips/ [generator]: jetbrains.mps.smodel.persistence.def.ModelReadException: Couldn't read model: bad stream, unknown version: 400 (show balloon)
1

1 comment
Comment actions Permalink

Problem solved, when I use the newest MPS version 2017.1 the plugins are working fine. Seems the mbeddr documenation can lead the readers in a wrong direction about the plugins and the compatibilty of the version: 
http://mbeddr.com/userguide/UserGuideExport.html#sid2045083395016240670

0

Please sign in to leave a comment.